# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define		_name	MihPhoto

Name:		mihphoto
Version:	1.0.10
Release:	alt1_4
License:	GPLv3
Summary:	Touch-friendly image viewer
Group:		Graphics
Url:		https://sites.google.com/site/mihplaesu/projects/mihphoto
Source0:	https://sites.google.com/site/mihplaesu/projects/mihphoto/%{_name}-source-%{version}.tgz
Patch0:		%{name}-1.0.8-datadir.patch

BuildRequires:	qt4-devel
Source44: import.info

%description
MihPhoto is meant to be a simple touchscreen-friendly image viewer.
There a lot of very good image viewers, including many opensource ones,
but most of them are very difficult to handle on a touchscreen. 

This application was designed with touchscreens in mind so it is most useful 
if you have a touchscreen. 

To use the application just open an image; then you can use a swipe gesture 
to browse trough all the images located in the same folder as the first one.

%prep
%setup -q -n %{_name}
%patch0 -p1 -b .datadir

sed -i -e 's|@DATADIR@|%{_datadir}/%{name}|g' dev/%{_name}.pro

%build
pushd dev
%qmake_qt4
%make_build
popd

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_datadir}/%{name}
install -m755 bin/%{_name} %{buildroot}%{_bindir}/%{name}
cp -R icons %{buildroot}%{_datadir}/%{name}/
cp -R images %{buildroot}%{_datadir}/%{name}/

%files
%doc AUTHORS VERSION doc
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.10-alt1_4
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_2
- update by mgaimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_6
- new version

